Bug 1066384 - (CVE-2013-4541) CVE-2013-4541 qemu: usb: insufficient sanity checking of setup_index+setup_len in post_load
CVE-2013-4541 qemu: usb: insufficient sanity checking of setup_index+setup_le...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131203,repor...
: Security
Depends On: 1095743 1095744 1095746 1095747 1096117 1102579 1102580 1110194 1110284 1110288 1133850
Blocks: 1036654 1110626 1133827
  Show dependency treegraph
 
Reported: 2014-02-18 05:13 EST by Petr Matousek
Modified: 2016-04-26 21:01 EDT (History)
45 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-22 07:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-02-18 05:13:12 EST
s->setup_len and s->setup_index are fed into usb_packet_copy as
size/offset into s->data_buf, it's possible for invalid state to exploit
this to load arbitrary data.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=9f8e9895c504149d7048e9fc5eb5cbb34b16e49a
Comment 1 Petr Matousek 2014-02-18 06:31:32 EST
Statement:

This issue does affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does affect the versions of qemu-kvm package as shipped with
Red Hat Enterprise Linux 7.
Comment 4 Prasad J Pandit 2014-05-08 09:13:25 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095744]
Comment 6 Fedora Update System 2014-05-16 05:59:18 EDT
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Qunfang Zhang 2014-05-28 22:44:25 EDT
Hi, Michael

Maybe we should keep the status as NEW instead of POST? It's a tracker for all the CVE-2013-4541 bugs in each product. 

Thanks,
Qunfang
Comment 8 Michael S. Tsirkin 2014-05-29 02:10:16 EDT
ok
Comment 10 errata-xmlrpc 2014-06-09 10:37:12 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html
Comment 11 Murray McAllister 2014-06-10 03:55:57 EDT
Acknowledgements:

The issues were discovered as part of the state loading code audit performed by Michael S. Tsirkin of Red Hat, Anthony Liguori and Michael Roth.
Comment 12 errata-xmlrpc 2014-06-10 16:19:11 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0744 https://rhn.redhat.com/errata/RHSA-2014-0744.html
Comment 13 errata-xmlrpc 2014-06-10 16:20:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0743 https://rhn.redhat.com/errata/RHSA-2014-0743.html
Comment 17 errata-xmlrpc 2014-07-23 12:16:08 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0927 https://rhn.redhat.com/errata/RHSA-2014-0927.html
Comment 19 errata-xmlrpc 2014-07-24 11:39:08 EDT
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6
  OpenStack 3 for RHEL 6

Via RHSA-2014:0888 https://rhn.redhat.com/errata/RHSA-2014-0888.html
Comment 21 errata-xmlrpc 2014-09-22 00:01:39 EDT
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2014:1268 https://rhn.redhat.com/errata/RHSA-2014-1268.html

Note You need to log in before you can comment on or make changes to this bug.